ChunkerFactory (Apache OpenNLP :: Core :: Runtime 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.chunker, class: ChunkerFactory

Package opennlp.tools.chunker

# Class ChunkerFactory

java.lang.Object
opennlp.tools.util.BaseToolFactory
opennlp.tools.chunker.ChunkerFactory

Direct Known Subclasses:
  `ParserChunkerFactory`

public class ChunkerFactory extends BaseToolFactory

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChunkerFactory()`
  Creates a `ChunkerFactory` that provides the default implementation of the resources.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChunkerFactory`
  `create(String subclassName)`
  Instantiates a `ChunkerFactory` via a given `subclassName`.
  `opennlp.tools.chunker.ChunkerContextGenerator`
  `getContextGenerator()`
  `opennlp.tools.util.SequenceValidator<opennlp.tools.util.TokenTag>`
  `getSequenceValidator()`
  `void`
  `validateArtifactMap()`
  Validates the parsed artifacts.

  ### Methods inherited from class opennlp.tools.util.BaseToolFactory

  `create, create, createArtifactMap, createArtifactSerializersMap, createManifestEntries`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChunkerFactory

    public ChunkerFactory()
    Creates a `ChunkerFactory` that provides the default implementation of the resources.

- ## Method Details

  - ### create

    public static ChunkerFactory create(String subclassName) throws opennlp.tools.util.InvalidFormatException
    Instantiates a `ChunkerFactory` via a given `subclassName`.
    Parameters:
      `subclassName` - The class name used for instantiation. If `null`, an instance of `ChunkerFactory` will be returned per default. Otherwise, the `ExtensionLoader` mechanism is applied to load the requested `subclassName`.
    Returns:
      A valid `ChunkerFactory` instance.
    Throws:
      `opennlp.tools.util.InvalidFormatException` - Thrown if the `ExtensionLoader` mechanism failed to create the factory associated with `subclassName`.

  - ### validateArtifactMap

    public void validateArtifactMap() throws opennlp.tools.util.InvalidFormatException
    Description copied from class: `BaseToolFactory`
    Validates the parsed artifacts.

    Note: Subclasses should generally invoke `super.validateArtifactMap` at the beginning of this method.

    Specified by:
      `validateArtifactMap` in class `BaseToolFactory`
    Throws:
      `opennlp.tools.util.InvalidFormatException` - Thrown if validation found invalid states.

  - ### getSequenceValidator

    public opennlp.tools.util.SequenceValidator<opennlp.tools.util.TokenTag> getSequenceValidator()

  - ### getContextGenerator

    public opennlp.tools.chunker.ChunkerContextGenerator getContextGenerator()